clang-tools 6.0.0

Public Member Functions | Public Attributes | List of all members
clang::tidy::ClangTidyStats Struct Reference

Contains displayed and ignored diagnostic counters for a ClangTidy run. More...

`#include <ClangTidyDiagnosticConsumer.h>`

Collaboration diagram for clang::tidy::ClangTidyStats:
[legend]

## Public Member Functions
| ClangTidyStats ()
unsigned | errorsIgnored () const

## Public Attributes
unsigned | ErrorsDisplayed
unsigned | ErrorsIgnoredCheckFilter
unsigned | ErrorsIgnoredNOLINT
unsigned | ErrorsIgnoredNonUserCode
unsigned | ErrorsIgnoredLineFilter

## Detailed Description

Contains displayed and ignored diagnostic counters for a ClangTidy run.

Definition at line 73 of file ClangTidyDiagnosticConsumer.h.

## Constructor & Destructor Documentation

## ◆ ClangTidyStats()

clang::tidy::ClangTidyStats::ClangTidyStats | ( |  | ) |
| inline

Definition at line 74 of file ClangTidyDiagnosticConsumer.h.

## Member Function Documentation

## ◆ errorsIgnored()

unsigned clang::tidy::ClangTidyStats::errorsIgnored | ( |  | ) | const
| inline

Definition at line 84 of file ClangTidyDiagnosticConsumer.h.

Referenced by clang::tidy::clangTidyMain().

## Member Data Documentation

## ◆ ErrorsDisplayed

unsigned clang::tidy::ClangTidyStats::ErrorsDisplayed

Definition at line 78 of file ClangTidyDiagnosticConsumer.h.

## ◆ ErrorsIgnoredCheckFilter

unsigned clang::tidy::ClangTidyStats::ErrorsIgnoredCheckFilter

Definition at line 79 of file ClangTidyDiagnosticConsumer.h.

Referenced by clang::tidy::clangTidyMain().

## ◆ ErrorsIgnoredLineFilter

unsigned clang::tidy::ClangTidyStats::ErrorsIgnoredLineFilter

Definition at line 82 of file ClangTidyDiagnosticConsumer.h.

Referenced by clang::tidy::clangTidyMain().

## ◆ ErrorsIgnoredNOLINT

unsigned clang::tidy::ClangTidyStats::ErrorsIgnoredNOLINT

Definition at line 80 of file ClangTidyDiagnosticConsumer.h.

Referenced by clang::tidy::clangTidyMain(), and clang::tidy::ClangTidyDiagnosticConsumer::HandleDiagnostic().

## ◆ ErrorsIgnoredNonUserCode

unsigned clang::tidy::ClangTidyStats::ErrorsIgnoredNonUserCode

Definition at line 81 of file ClangTidyDiagnosticConsumer.h.

Referenced by clang::tidy::clangTidyMain().

The documentation for this struct was generated from the following file:

- ClangTidyDiagnosticConsumer.h